.emmabox{
    position: fixed;
    bottom: 24px;
    right: 24px;
    z-index: 30;
}

.emmabox.shine:before{
    content: '';
    display: table;
    position: absolute;
    width: 100%;
    height: 46px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(1);
    background: rgba(255, 255, 255, .4);
    border-radius: 5000px;
    opacity: 0;
    animation: emmaShine .8s linear infinite forwards;
}

@keyframes emmaShine{
    0%{
        transform: translate(-50%, -50%) scale(1);
        opacity: 0;
    }

    50%{
        opacity: 1;
    }

    100%{
        transform: translate(-50%, -50%) scale(1.5);
        opacity: 0;
    }
}

.emmabox.jump{
    animation: emmaJump .8s linear infinite forwards;
}

@keyframes emmaJump{
    0%{
        margin-bottom: 10px;
    }

    50%{
        margin-bottom: 0;
    }

    100%{
        margin-bottom: 10px;
    }
}

.emma-service-button{
    width: 46px;
    height: 46px;
    position: relative;
    background: #fff;
    box-shadow: 0 14px 28px 0 rgb(32 32 32 / 30%);
    border-radius: 5000px;
    overflow: hidden;
    transition: .15s linear;
    cursor: pointer;
}

.emma-service-button .emma-avatar{
    width: 46px;
    height: 46px;
    position: relative;
    float: right;
}

.emma-service-button .emma-avatar img{
    width: 100%;
}

.emma-customize{
    font-size: 16px;
    font-weight: 700;
    width: 50px;
    height: 40px;
    line-height: 20px;
    color: #333;
    margin: 3px 6px;
    float: right;
}

.emma-service-button:after{
    content: '';
    display: table;
    clear: both;
}

.emma-service-button.chatclose:hover{
    width: 120px;
}

.iframe-chatbox{
    width: 420px;
    height: 480px;
    position: absolute;
    bottom: 50px;
    right: 0;
    border-radius: 5px;
    overflow: hidden;
    opacity: 0;
    display: none;
}

.iframe-chatbox iframe{
    width: 100%;
    height: 100%;;
}